<mat-toolbar class="header" color="primary">
  <h1>Saturday Lottery</h1>
</mat-toolbar>
<div class="createList">
  <mat-form-field appearance="outline">
    <mat-label>List name</mat-label>
    <input matInput name="name" [(ngModel)]="name" (keydown.enter)="createList()">
  </mat-form-field>
  <button mat-flat-button color="primary" (click)="createList()"
    [disabled]="name.length === 0 || listIsInArr(name)">Add</button>
  <button mat-flat-button color="primary" (click)="movieNight()">Movie night</button>
  <button mat-flat-button color="warn" (click)="clear()" [disabled]="lists.length === 0">Clear all</button>
  <mat-slide-toggle [(ngModel)]="showValues">Show values</mat-slide-toggle>
</div>
<div class="content">
  <div class="lists">
      <app-list *ngFor="let list of lists; trackBy: trackByFn" [list]="list" [rvalue]="list.rvalue" [showValues]="showValues" (remove)="remove($event)"></app-list>
  </div>
</div>
<mat-toolbar class="footer"><button mat-flat-button color="primary" (click)="generateRandom()">Randomize</button>
</mat-toolbar>
